- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axutil_param.h File Reference

Axis2 param interface. More...

`#include <axutil_utils_defines.h>`
`#include <axutil_env.h>`
`#include <axutil_hash.h>`
`#include <axutil_array_list.h>`

Go to the source code of this file.

## Defines
#define | AXIS2_TEXT_PARAM 0
#define | AXIS2_DOM_PARAM 1
## Typedefs
typedef struct axutil_param | axutil_param_t
typedef void(* | AXIS2_PARAM_VALUE_FREE )(void *param_value, const axutil_env_t *env)
## Functions
AXIS2_EXTERN axutil_param_t * | axutil_param_create (const axutil_env_t *env, axis2_char_t *name, void *value)
AXIS2_EXTERN axis2_char_t * | axutil_param_get_name (struct axutil_param *param, const axutil_env_t *env)
AXIS2_EXTERN void * | axutil_param_get_value (struct axutil_param *param, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_param_set_name (struct axutil_param *param, const axutil_env_t *env, const axis2_char_t *name)
AXIS2_EXTERN axis2_status_t | axutil_param_set_value (struct axutil_param *param, const axutil_env_t *env, const void *value)
AXIS2_EXTERN axis2_bool_t | axutil_param_is_locked (struct axutil_param *param, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_param_set_locked (struct axutil_param *param, const axutil_env_t *env, axis2_bool_t value)
AXIS2_EXTERN int | axutil_param_get_param_type (struct axutil_param *param, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_param_set_param_type (struct axutil_param *param, const axutil_env_t *env, int type)
AXIS2_EXTERN void | axutil_param_free (struct axutil_param *param, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_param_set_attributes (struct axutil_param *param, const axutil_env_t *env, axutil_hash_t *attrs)
AXIS2_EXTERN axutil_hash_t * | axutil_param_get_attributes (struct axutil_param *param, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_param_set_value_list (struct axutil_param *param, const axutil_env_t *env, axutil_array_list_t *value_list)
AXIS2_EXTERN axutil_array_list_t * | axutil_param_get_value_list (struct axutil_param *param, const axutil_env_t *env)
AXIS2_EXTERN void | axutil_param_value_free (void *param_value, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_param_set_value_free (struct axutil_param *param, const axutil_env_t *env, AXIS2_PARAM_VALUE_FREE free_fn)
AXIS2_EXTERN void | axutil_param_dummy_free_fn (void *param, const axutil_env_t *env)

## Detailed Description

Axis2 param interface.